Subject: Re: bug#39940: The variable operating-system-release

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 29 Jan 2021 07:26:10 +0100

Eli Zaretskii <[email-masked]> writes:

> Some relevant information:
>
> This variable was added due to the issues discussed in this old
> thread:
>
>   https://lists.gnu.org/archive/html/emacs-devel/2005-01/msg00629.html

I did not read the complete thread, but I guess the upshot is that we're
not going to obsolete this variable.

I have altered the doc string to say what it actually is, though.

> See also
>
>   https://lists.gnu.org/archive/html/emacs-devel/2005-01/msg00835.html
>
> (I guess I never got any responses, and so the documentation never
> happened ;-)

This bit in particular:

> Finally, and most importantly, if we add the call to uname, why not
> store all of the info it returns in some Lisp data structure, not just
> the OS release?

That is a good question, and would be a better design than just this
single variable.  But I guess that nobody has requested the rest of the
data?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no